MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000206Community[OCCT] OCCT:WOKpublic2002-02-27 15:432011-12-15 17:54
Reporteremo 
Assigned Tobugmaster 
PrioritynoneSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000206: Handles initialisation problem
DescriptionThis bug has been added by Niki Spahiev http://www.vintech.bg [^] to
http://www.opencascade.org [^] contributors portal Feb 25, 2002
See http://www.opencascade.org/forumorg/bug.php?bug_id=26&f=8 [^] , it's possible to
ask for additional info there with "new topic" or by email to the author
niki@vintech.bg .

Handle(MS_HSequenceOfClass) MS_Class::GetInherits() const
{
Handle(MS_HSequenceOfClass) aClassSeq;
[...]

here aClassSeq is a Null handle and can't be filled with base classes

Handle(MS_HSequenceOfClass) aClassSeq = new MS_HSequenceOfClass();

works for me (TM)

This is in version 4.0
TagsNo tags attached.
Test case number
Attached Filescxx file icon MS_Class.cxx (11,067 bytes) 2002-03-04 08:15

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-02-27 15:43 bugmaster CC => vtn
2002-02-28 12:50 vtn Status new => resolved
2002-02-28 12:51 vtn Category => WOK
2002-03-01 11:53 vtn Status resolved => verified
2002-08-01 18:58 bugmaster Status verified => closed
2002-08-01 18:58 bugmaster Resolution @0@ => fixed
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker